mark as patrolled links in irc-rc (dutch wikipedia)
Closed, ResolvedPublic

Description

nl.wikipedia uses the mark as patrolled system to protect against vandalism. The
links that are posted by rc in the irc recent changes interface are not able to
mark an article as patrolled.

I have written a patch to solve this issue, I've uploaded it to my own website
at http://hekla.rave.org/~fboonen/irc-rc.diff,


Version: unspecified
Severity: normal
OS: Windows XP
Platform: PC

bzimport set Reference to bz3270.
Henna created this task.Via LegacyAug 25 2005, 6:07 PM
Henna added a comment.Via ConduitAug 25 2005, 9:18 PM

ok, some background information :)
nl.wp uses the mark as patrolled system, wich worked quite well till
Vandalfigher came around. The main problem is that people who use vandal fighter
are unable to mark an edit as patrolled, causing other people to check that edit
at a later time. When they see the edit already taken care off and this
happening time and time again they get upset, to the point of people giving up
on checking edits for vandalism completely.

The easiest solution in my eyes is to support the mark as patrolled system by
ensuring that links postend to the irc contained the rcid. I introduced a config
variable for giving people the choice to either work with the mark as patrolled
system or not, and I changed the url's transmitted to the irc program by adding
the rcid to them.

bzimport added a comment.Via ConduitSep 18 2005, 12:18 AM

rbeelaard wrote:

In my opinion, it is not yet enough, but still necessary, to output
the rcid to the irc output. CryptoDerk's Vandalfighter has
subsequently to take this value as well and append the &rcid=<value>
to the url by which an article is called up in the browser. I'll draw
Cryptoderks attention to this "bug".

bzimport added a comment.Via ConduitSep 18 2005, 9:41 PM

obarskyr wrote:

Did reassign the bug on question of cegmail. Do not chop of my head ;)

bzimport added a comment.Via ConduitSep 18 2005, 11:36 PM

wikipedia.org wrote:

Could you supply us with a copy of this question so that people watching this
bug actually have an idea why it has been reassigned?

bzimport added a comment.Via ConduitSep 20 2005, 5:49 AM

obarskyr wrote:

[23:27] <Obarskyr> CE jap nu fix dan ook die bug als je hem assigned hebt ;)
[23:28] <CE> ja obarskyr, daar ben ik ook bang voor
[23:28] <CE> ik dacht dat het systeem heel anders werkte
[23:29] <CE> ik meende dat er eerste een aantal gebruikers accoord moet gaan met
de melding voordat ie wordt opgenomen (ASSIGNED)
[23:34] <CE> kan ik de status weer terugzetten op NEW zodat iemand anders ze kan
oppakken
[23:34] <kim_register> CE, lijkt me wijs
[23:34] <kim_register> want die zou het wel eens kunnen
[23:34] <CE> kim, lijkt mij ook wijs, maar ik weet niet hoe dat te doen
[23:37] <Obarskyr> CE fixed , niets doen
[23:37] <CE> ok, heb jij het opgelost obarskyr?
[23:37] <Obarskyr> ik denk het
[23:38] <Obarskyr> http://bugzilla.wikimedia.org/show_activity.cgi?id=3270

This is a part of the IRC log in question. I am not allowed to publish the whole
log, so this are only bits and pieces of the communication. I hope this will be
enough as 'proof' of my action. Basically it was a mistake of CE to assign it.

bzimport added a comment.Via ConduitSep 20 2005, 8:04 AM

cewiki wrote:

This was my first experience with bugzilla. It was my mistake to change NEW into ASSIGNED. On IRC I asked
for help to get the status NEW again. Sorry for the inconvenience. I will try to be more careful in the
future. Chris (CE)

bzimport added a comment.Via ConduitOct 28 2005, 12:39 PM

bugzilla.wikimedia wrote:

I wrote a patch, loosely based on henna's, which seemed to have some problems...
you can find it here: http://atlas.et.tudelft.nl/lplanken/patch.txt

bzimport added a comment.Via ConduitOct 28 2005, 12:48 PM

bugzilla.wikimedia wrote:

patched the bug; rcid is now sent over irc if appropriate

Attached: patch.txt

bzimport added a comment.Via ConduitNov 3 2005, 11:24 AM

bugzilla.wikimedia wrote:

fixed patch; inserted ID is now only retrieved if it's used

fixed patch

Attached: patch.txt

bzimport added a comment.Via ConduitNov 3 2005, 11:27 AM

avarab wrote:

FIXED in CVS HEAD

bzimport added a comment.Via ConduitNov 3 2005, 2:34 PM

bugzilla.wikimedia wrote:

Bug reopened: rcid wasn't displayed for new pages yet

bzimport added a comment.Via ConduitNov 3 2005, 2:36 PM

bugzilla.wikimedia wrote:

patch for reopened bug

this patch also displays rcid for new pages

Attached: patch.txt

Add Comment